<?php

/**
 * Plugin Name: Quivers
 * Description: Used to invoice, override create refunds api, use taxation api, save basic settings, stripe integration.
 * Version: 1.7.4
 * Author: Quivers Inc.
 * Author URI: nitesh.yadav@quivers.com
 * License: GPL2
 */
if ( ! defined( 'ABSPATH' ) ) {
	echo "Silence is Golden.";
	die; // Exit if accessed directly
}

/*
*
** 
Includes*/

/* Handles "Cancel Order" Button and "Invoice" Button */
include_once("cancel_order/cancel_order.php");
include_once('custom-assets.php');
/* Handles "Taxes" and "Quivers Settings" */
include_once("my_wc_cart/my_wc_cart.php");

/* Handles API calls, override routes */
include_once("apis/register_routes.php");
include_once("apis/class-wc-api-resource.php");

/* Handles Stripe Payment Gateway Integration */
include_once("stripe/stripe_gateway.php");

/* Handles PayPal payment integration */
include_once("paypal/woo_paypal.php");

/* handles custom 'On-Hold API call' */
include_once("order_status/my_order_status.php");

/*Handles logs in the plugin*/
include_once("LogTracking.php");

add_filter( 'woocommerce_locate_template', 'myplugin_woocommerce_locate_template', 10, 3 );

function myplugin_woocommerce_locate_template( $template, $template_name, $template_path ) {
  global $woocommerce;

  $_template = $template;

  if ( ! $template_path ) $template_path = $woocommerce->template_url;

  $plugin_path  = untrailingslashit( plugin_dir_path( __FILE__ ) ) . '/woocommerce/';

  // Look within passed path within the theme - this is priority
  $template = locate_template(

    array(
      $template_path . $template_name,
      $template_name
    )
  );

  // Modification: Get the template from this plugin, if it exists
  if ( ! $template && file_exists( $plugin_path . $template_name ) )
    $template = $plugin_path . $template_name;

  // Use default template
  if ( ! $template )
    $template = $_template;
  // Return what we found
  return $template;
}
add_action( 'woocommerce_before_calculate_totals', 'recalc_price' );
function recalc_price( $cart_object ) {
foreach ( $cart_object->get_cart() as $hash => $value ) {
  $type_id = $value['variation_id'] == 0 ? $value['product_id'] : $value['variation_id'];
  $product = wc_get_product( $type_id );
      $item_price = (float)$product->get_sale_price() ? (float)$product->get_sale_price() : (float)$product->get_price();
      $value['data']->set_price( round($item_price,2));
}
}

/*Adds Custom Product Taxcode Field*/
include_once('custom_pdt_taxcode.php');
